org.apache.fop.pdf.xref

## Class CompressedObjectReference

- java.lang.Object
- - org.apache.fop.pdf.xref.CompressedObjectReference

    public class CompressedObjectReference
    extends Object

A reference to an indirect object stored in an object stream. Contains the relevant information to add to a cross-reference stream.

### Constructor Summary

Constructors
Constructor and Description
`CompressedObjectReference(PDFObjectNumber objectNumber, PDFObjectNumber objectStreamNumber, int index)` Creates a new reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDFObjectNumber` `getObjectNumber()`
`PDFObjectNumber` `getObjectStreamNumber()`
`void` `output(DataOutputStream out)` Outputs this reference to the given stream, in the cross-reference stream format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressedObjectReference

    public CompressedObjectReference(PDFObjectNumber objectNumber,
                                     PDFObjectNumber objectStreamNumber,
                                     int index)

Creates a new reference.

Parameters:
  `objectNumber` - the number of the compressed object being referenced
  `objectStreamNumber` - the number of the object stream in which the compressed object is to be found
  `index` - the index of the compressed object in the object stream

### Method Detail

#### output

    public void output(DataOutputStream out)
                throws IOException

Outputs this reference to the given stream, in the cross-reference stream format. For example, a object may output the bytes 01 00 00 00 00 00 00 01 ff 00 to indicate a non-compressed object (01), at offset 511 from the beginning of the file (00 00 00 00 00 00 01 ff), of generation number 0 (00).

Parameters:
  `out` - the stream to which to output the reference
Throws:
  `IOException`

#### getObjectNumber

    public PDFObjectNumber getObjectNumber()

#### getObjectStreamNumber

    public PDFObjectNumber getObjectStreamNumber()